%define _x11bindir /usr/X11R6/bin
%define _x11datadir /usr/X11R6/lib

Summary: xterm terminal emulator for the X Window System
Name: xterm
Version: 179
Release: 6.EL3
URL: http://dickey.his.com/xterm
License: MIT
Group: User Interface/X
BuildRoot: %{_tmppath}/%{name}-root
Source0: ftp://dickey.his.com/xterm/%{name}-%{version}.tgz
Patch0: xterm-can-2003-0063.patch
Patch1: xterm-resources-redhat.patch
Patch2: xterm-179-ppc-fix-bug-101472.patch
Patch3: xterm-179-fix-simultaneous-into-and-e-options-bug124518.patch
Patch4: xterm-179-bz159358.patch

BuildRequires: XFree86-devel >= 4.3.0

%description
The xterm program is a terminal emulator for the X Window System. It
provides DEC VT102 and Tektronix 4014 compatible terminals for
programs that can't use the window system directly.

%prep
%setup -q
# The xterm source code decompreses with all of the files read-only, which
# is totally retarded.
chmod -R u+w .
%patch0 -p0 -b .can-2003-0063
%patch1 -p0 -b .resources-redhat

%ifarch ppc ppc64
%patch2 -p0 -b .ppc-fix-bug-101472
%endif

%patch3 -p0 -b .fix-simultaneous-into-and-e-options-bug124518
%patch4 -p1 -b .bz159358

%build
%configure --enable-luit --enable-warnings --enable-wide-chars --with-utempter
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall 
#install-ti

mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/%{_x11datadir}/X11/app-defaults

mv $RPM_BUILD_ROOT/%{_mandir}/*.1 $RPM_BUILD_ROOT/%{_mandir}/man1/
mv $RPM_BUILD_ROOT/usr/%{_lib}/X11/app-defaults/* $RPM_BUILD_ROOT/%{_x11datadir}/X11/app-defaults/

# Make a compatibility symlink for xterm, so that applications and scripts
# which invoke xterm explicitly as /usr/X11R6/bin/xterm, will continue to work
# correctly without surprises
{
  mkdir -p $RPM_BUILD_ROOT%{_x11bindir}
  ln -sf ../../bin/xterm $RPM_BUILD_ROOT%{_x11bindir}/xterm
}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/resize
%{_bindir}/uxterm
%{_bindir}/xterm
%{_mandir}/man1/resize.1*
%{_mandir}/man1/xterm.1*
%{_x11datadir}/X11/app-defaults/UXTerm
%{_x11datadir}/X11/app-defaults/XTerm
%{_x11datadir}/X11/app-defaults/XTerm-color
%{_x11bindir}/xterm

%changelog
* Tue Nov 29 2005 Jason Vas Dias <jvdias@redhat.com>
- fix bug 159358: don't write double utmp entry 

* Wed Jun 22 2005 Mike A. Harris <mharris@redhat.com> 179-5.EL.1
- Added xterm-179-fix-simultaneous-into-and-e-options-bug124518.patch to
  fix problem when -into and -e are used simultaneously.  (#124518)

* Mon Sep  8 2003 Mike A. Harris <mharris@redhat.com> 179-5.EL
- Rebuilt 179-5 for Taroon

* Mon Sep  8 2003 Mike A. Harris <mharris@redhat.com> 179-5
- Added xterm-179-ppc-fix-bug-101472.patch ifarch ppc ppc64 to fix bug (#101472)

* Wed Aug 27 2003 Bill Nottingham <notting@redhat.com> 179-4.1
- fix symlink
- rebuild

* Wed Aug 13 2003 Mike A. Harris <mharris@redhat.com> 179-3.EL
- Rebuilt for Taroon with symlink fixes.

* Wed Aug 13 2003 Mike A. Harris <mharris@redhat.com> 179-3
- Added symlink /usr/X11R6/bin/xterm pointing to _bindir/xterm so that apps
  and scripts which invoke xterm explicitly as /usr/X11R6/bin/xterm, will
  continue to work correctly without surprises (#101994)

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com> 179-2.EL
- rebuilt

* Fri May 30 2003 Mike A. Harris <mharris@redhat.com> 179-1.EL
- Bump release to 1.EL for Red Hat Enterprise Linux build

* Mon May 26 2003 Mike A. Harris <mharris@redhat.com> 179-1
- Updated to upstream xterm 179
- [SECURITY] Added xterm-can-2003-0063.patch from XFree86 4.3.0-12 package
- Added Red Hat xterm-resources-redhat.patch from XFree86 4.3.0-12 package
- Added "chmod -R u+w *" after source is decompressed or else patches can not
  be applied due to upstream source being read only files
- Built xterm 179-1 in rawhide

* Mon May  5 2003 Mike A. Harris <mharris@redhat.com> 177-2.0.EL
- Bump release to 2.0.EL for Red Hat Enterprise Linux build

* Mon May  5 2003 Mike A. Harris <mharris@redhat.com> 177-2
- Build fix for lib64:  _x11datadir == /usr/X11R6/lib
- Another lib64 build fix:  xterm uses /usr/%%{_lib}/X11/app-defaults when it
  should be using an arch-neutral dir {_x11datadir}/X11/app-defaults instead

* Tue Apr 15 2003 Mike A. Harris <mharris@redhat.com> 177-1
- Call configure with "--enable-luit --enable-warnings --enable-wide-chars
  --with-utempter"
- Initial build.
